vsgXchange: vsgXchange::gltf Class Reference

vsgXchange 1.1.9 VulkanSceneGraph 3rd party data integration library

Loading...
Searching...
No Matches
vsgXchange::gltf Class Reference

gltf ReaderWriter More...

`#include <gltf.h>`

Inheritance diagram for vsgXchange::gltf:
[legend]
Collaboration diagram for vsgXchange::gltf:
[legend]

## Classes
struct | glTFid
struct | Extensions
struct | ExtensionsExtras
struct | NameExtensionsExtras
struct | SparseIndices
struct | SparseValues
struct | Sparse
struct | DataProperties
struct | Accessor
struct | Asset
struct | BufferView
struct | Buffer
struct | Image
struct | TextureInfo
struct | KHR_texture_transform
struct | PbrMetallicRoughness
struct | NormalTextureInfo
struct | OcclusionTextureInfo
struct | KHR_materials_specular
| https://github.com/KhronosGroup/glTF/blob/main/extensions/2.0/Khronos/KHR_materials_specular More...
struct | KHR_materials_pbrSpecularGlossiness
| https://github.com/KhronosGroup/glTF/tree/main/extensions/2.0/Archived/KHR_materials_pbrSpecularGlossiness More...
struct | KHR_materials_emissive_strength
struct | KHR_materials_ior
| index of refraction : https://github.com/KhronosGroup/glTF/blob/main/extensions/2.0/Khronos/KHR_materials_ior More...
struct | KHR_materials_unlit
struct | Sampler
struct | Texture
struct | Material
struct | Attributes
struct | Primitive
struct | Mesh
struct | KHR_draco_mesh_compression
| https://github.com/KhronosGroup/glTF/tree/main/extensions/2.0/Khronos/KHR_draco_mesh_compression More...
struct | EXT_mesh_gpu_instancing
| https://github.com/KhronosGroup/glTF/blob/main/extensions/2.0/Vendor/EXT_mesh_gpu_instancing/README.md More...
struct | Node
struct | Scene
struct | AnimationTarget
struct | AnimationChannel
struct | AnimationSampler
struct | Animation
struct | Skins
struct | Orthographic
struct | Perspective
struct | Camera
struct | Spot
struct | Light
struct | KHR_lights_punctual
struct | glTF
class | SceneGraphBuilder

## Public Types
enum | ComponentType : uint32_t { COMPONENT_TYPE_UNDEFINED = 0 , COMPONENT_TYPE_BYTE = 5120 , COMPONENT_TYPE_UNSIGNED_BYTE = 5121 , COMPONENT_TYPE_SHORT = 5122 , COMPONENT_TYPE_UNSIGNED_SHORT = 5123 , COMPONENT_TYPE_INT = 5124 , COMPONENT_TYPE_UNSIGNED_INT = 5125 , COMPONENT_TYPE_FLOAT = 5126 , COMPONENT_TYPE_DOUBLE = 5130 }
using | Extras = vsg::JSONtoMetaDataSchema

## Public Member Functions
vsg::ref_ptr< vsg::Object > | read (const vsg::Path &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (std::istream &, vsg::ref_ptr< const vsg::Options >) const override
vsg::ref_ptr< vsg::Object > | read (const uint8_t *ptr, size_t size, vsg::ref_ptr< const vsg::Options > options={}) const override
vsg::ref_ptr< vsg::Object > | read_gltf (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
vsg::ref_ptr< vsg::Object > | read_glb (std::istream &, vsg::ref_ptr< const vsg::Options >, const vsg::Path &filename={}) const
bool | supportedExtension (const vsg::Path &ext) const
bool | getFeatures (Features &features) const override
bool | readOptions (vsg::Options &options, vsg::CommandLine &arguments) const override
| float, default setting of vsg::Sampler::maxAnisotropy to use.
virtual void | assignExtensions (vsg::JSONParser &parser) const

## Static Public Member Functions
static vsg::Path | decodeURI (const std::string_view &uri)
static bool | dataURI (const std::string_view &uri, std::string_view &mimeType, std::string_view &encoding, std::string_view &value)
| function for extracting components of a uri
static vsg::Path | mimeTypeToExtension (const std::string_view &mimeType)
| function for mapping a mimeType to .extension that can be used with vsgXchange's plugins.

## Public Attributes
vsg::Logger::Level | level = vsg::Logger::LOGGER_WARN

## Static Public Attributes
static constexpr const char * | report = "report"
static constexpr const char * | culling = "culling"
| bool, report parsed glTF to console, defaults to false
static constexpr const char * | disable_gltf = "disable_gltf"
| bool, insert cull nodes, defaults to true
static constexpr const char * | clone_accessors = "clone_accessors"
| bool, disable vsgXchange::gltf so vsgXchange::assimp will be used instead, defaults to false
static constexpr const char * | maxAnisotropy = "maxAnisotropy"
| bool, hint to clone the data associated with accessors, defaults to false

## Detailed Description

gltf ReaderWriter

The documentation for this class was generated from the following file:

- include/vsgXchange/gltf.h